
QGIS Application - Bug report #198

Identify doesn't work after the first time

2006-07-20 05:48 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10257

Description

1. load a layer

2. use the identify tool and note the dialog box that appears

3. close the dialog box

4. try the identify tool again

5. note that no dialog box appears

6. click on the zoom in tool

7. click on the identify tool

8. the identify tools works again, but once only

History

#1 - 2006-07-20 08:35 PM - Brendan Morley -

Guess what, I'm having reproducing this one too.

#2 - 2006-07-20 08:41 PM - Gavin Macaulay -

I've since discovered that it happens when displaying qgis using Xwin32 under windows, but not directly on a linux computer display. Guess I'll have to find

the solution myself - again :)

#3 - 2006-07-28 10:58 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in SVN commit:05433ca8 (SVN r5647).

Problem was that under Xwin32, showing a hidden dialog box didn't work. Whether this is a Qt4 or an Xwin32 problem, I don't know.

Commit commit:05433ca8 (SVN r5647) is a workaround to the problem where whenever the dialog box is closed, it is deleted rather than just hidden.

Hence when the user does another identify, a new dialog box is created to show the results rather than showing the hidden one.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
